***********This table reproduces the estimates in Tables 2 and 4

*use cross section data here 

cap log close
*start the log file*
log using c:\documenti\res\newdata\aer\ols_size_Table6_1, replace

gen maj_gooddemo = 0
replace maj_gooddemo = maj if gastil < 3.5
gen pres_gooddemo = 0
replace pres_gooddemo = pres if gastil < 3.5
gen maj_baddemo = 0
replace maj_baddemo = maj if gastil > 3.5
gen pres_baddemo = 0
replace pres_baddemo = pres if gastil > 3.5
gen baddemo = 0
replace baddemo = 1 if gastil > 3.5
gen gooddemo = 0
replace gooddemo = 1 if gastil < 3.5


gen maj_olddemo = 0
replace maj_olddemo = maj if dem_age < 1960 
gen pres_olddemo = 0
replace pres_olddemo = pres if dem_age < 1960 
gen maj_newdemo = 0
replace maj_newdemo = maj if dem_age > 1959
gen pres_newdemo = 0
replace pres_newdemo = pres if dem_age > 1959 
gen newdemo = 0
replace newdemo = 1 if dem_age > 1959


* Basic spending regression: cols 1-2  


reg cgexp pres maj gastil age lyp  lpop trade   prop1564 prop65 federal oecd africa asiae laam  col_espa col_uka col_otha, robust 
reg cgexp propres majpar majpres gastil age lyp  lpop trade   prop1564 prop65 federal oecd africa asiae laam  col_espa col_uka col_otha, robust 

 

* 2. Spending vs. revenue?
* Basic regression: col 3,  
reg cgrev pres maj gastil age lyp  lpop trade   prop1564 prop65 federal oecd africa asiae laam  col_espa col_uka col_otha, robust 

* Show defict results: col 4
* note: the variable spl in the paper is called dft

reg spl pres maj gastil age lyp  lpop trade   prop1564 prop65 federal oecd africa asiae laam col_espa col_uka col_otha, robust 

/*
* 3. 90s vs. earlier decades
* Look at first half of panel: col 5 
clear 
use paneldata here. 
xtreg cgexp pres maj polity_gt lyp  lpop trade   prop1564 prop65 federal oecd africa asiae laam col_espa col_uka col_otha if year < 1974 & polity_gt < 3.666, be i(ctrycd)  
*/

* 4. Old vs. new democracies   
*clear 
*use cross section data again here 

* Very few democracies before 1950. Use 1960 as the break point instead 
* Run standard regression but skip age

*reg cgexp pres maj gastil lyp  lpop trade   prop1564 prop65 federal oecd africa asiae laam col_espa col_uka col_otha if dem_age < 1960, robust  
 
* More parsimonious regression with interaction effects skip age: col 6

reg cgexp pres maj pres_newdemo maj_newdemo newdemo gastil lyp  lpop trade   prop1564 prop65 federal oecd africa asiae laam col_espa col_uka col_otha, robust 
test pres + pres_newdemo=0
test maj + maj_newdemo=0

* 5. Good vs. bad democracies : col 7 
* Same as in col 7 but with bad democracies instead of new 
reg cgexp pres maj pres_baddemo maj_baddemo baddemo age lyp  lpop trade   prop1564 prop65 federal oecd africa asiae laam col_espa col_uka col_otha, robust 
test pres + pres_baddemo=0
test maj + maj_baddemo=0

****  For Table 4, proceed in similar fashion but redefine the dependent variable as ssw


log close
 

